	.file	"font.c"
	.text
.Ltext0:
	.file 0 "/var/home/ehret/DEVELOP/3D/FLYSIMU/C" "FONT/font.c"
	.globl	vbos5
	.bss
	.align 16
	.type	vbos5, @object
	.size	vbos5, 16
vbos5:
	.zero	16
	.globl	t
	.align 4
	.type	t, @object
	.size	t, 4
t:
	.zero	4
	.globl	w_texCoords5
	.align 8
	.type	w_texCoords5, @object
	.size	w_texCoords5, 8
w_texCoords5:
	.zero	8
	.globl	w_vertices5
	.align 8
	.type	w_vertices5, @object
	.size	w_vertices5, 8
w_vertices5:
	.zero	8
	.globl	m_textureID
	.align 4
	.type	m_textureID, @object
	.size	m_textureID, 4
m_textureID:
	.zero	4
	.globl	m_textureName
	.align 8
	.type	m_textureName, @object
	.size	m_textureName, 8
m_textureName:
	.zero	8
	.globl	m_fontSize
	.align 4
	.type	m_fontSize, @object
	.size	m_fontSize, 4
m_fontSize:
	.zero	4
	.globl	m_Width
	.align 4
	.type	m_Width, @object
	.size	m_Width, 4
m_Width:
	.zero	4
	.globl	m_Height
	.align 4
	.type	m_Height, @object
	.size	m_Height, 4
m_Height:
	.zero	4
	.globl	mono5
	.align 8
	.type	mono5, @object
	.size	mono5, 8
mono5:
	.zero	8
	.section	.rodata
.LC0:
	.string	"FONT/mono.png"
	.text
	.globl	TMFont
	.type	TMFont, @function
TMFont:
.LFB6:
	.file 1 "FONT/font.c"
	.loc 1 41 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
	movq	%rdi, -8(%rbp)
	movl	%esi, -12(%rbp)
	movl	%edx, -16(%rbp)
	movss	%xmm0, -20(%rbp)
	.loc 1 47 9
	movl	$font_frag.2, %esi
	movl	$font_vert.3, %edi
	call	createShader
	.loc 1 48 9
	movl	t(%rip), %eax
	movl	%eax, %edi
	call	createProgram
	.loc 1 53 23
	movq	-8(%rbp), %rax
	movq	%rax, m_textureName(%rip)
	.loc 1 54 17
	movl	-12(%rbp), %eax
	movl	%eax, m_Width(%rip)
	.loc 1 55 18
	movl	-16(%rbp), %eax
	movl	%eax, m_Height(%rip)
	.loc 1 56 20
	movss	-20(%rbp), %xmm0
	movss	%xmm0, m_fontSize(%rip)
	.loc 1 61 23
	movq	$.LC0, m_textureName(%rip)
	.loc 1 62 2
	movq	m_textureName(%rip), %rax
	movl	$mono5, %esi
	movq	%rax, %rdi
	call	read_png
	.loc 1 65 9
	movl	$1, %eax
	.loc 1 66 1
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE6:
	.size	TMFont, .-TMFont
	.globl	MipmapsImage
	.type	MipmapsImage, @function
MipmapsImage:
.LFB7:
	.loc 1 72 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$16, %rsp
	movl	%edi, -4(%rbp)
	movl	%esi, -8(%rbp)
	movq	%rdx, -16(%rbp)
	.loc 1 74 9
	movl	m_textureID(%rip), %eax
	movl	%eax, %esi
	movl	$3553, %edi
	call	glBindTexture
	.loc 1 80 9
	movq	__glewGenerateMipmap(%rip), %rax
	movl	$3553, %edi
	call	*%rax
.LVL0:
	.loc 1 85 9
	movl	$10497, %edx
	movl	$10242, %esi
	movl	$3553, %edi
	call	glTexParameteri
	.loc 1 86 9
	movl	$10497, %edx
	movl	$10243, %esi
	movl	$3553, %edi
	call	glTexParameteri
	.loc 1 100 9
	subq	$8, %rsp
	pushq	-16(%rbp)
	pushq	$5121
	pushq	$32993
	movl	$256, %r9d
	movl	$256, %r8d
	movl	$0, %ecx
	movl	$0, %edx
	movl	$0, %esi
	movl	$3553, %edi
	call	glTexSubImage2D
	addq	$32, %rsp
	.loc 1 101 2
	subq	$8, %rsp
	pushq	-16(%rbp)
	pushq	$5121
	pushq	$32993
	movl	$256, %r9d
	movl	$256, %r8d
	movl	$0, %ecx
	movl	$2, %edx
	movl	$0, %esi
	movl	$3553, %edi
	call	glTexSubImage2D
	addq	$32, %rsp
	.loc 1 102 2
	subq	$8, %rsp
	pushq	-16(%rbp)
	pushq	$5121
	pushq	$32993
	movl	$256, %r9d
	movl	$256, %r8d
	movl	$2, %ecx
	movl	$0, %edx
	movl	$0, %esi
	movl	$3553, %edi
	call	glTexSubImage2D
	addq	$32, %rsp
	.loc 1 103 2
	subq	$8, %rsp
	pushq	-16(%rbp)
	pushq	$5121
	pushq	$32993
	movl	$256, %r9d
	movl	$256, %r8d
	movl	$2, %ecx
	movl	$2, %edx
	movl	$0, %esi
	movl	$3553, %edi
	call	glTexSubImage2D
	addq	$32, %rsp
	.loc 1 110 2
	call	glFlush
	.loc 1 111 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE7:
	.size	MipmapsImage, .-MipmapsImage
	.section	.rodata
	.align 8
.LC2:
	.string	" COULD NOT INITIALIZE THE FONT "
.LC4:
	.string	"f_Vertex"
.LC5:
	.string	"f_TexCoord"
.LC6:
	.string	"texture3"
	.text
	.globl	initFont
	.type	initFont, @function
initFont:
.LFB8:
	.loc 1 117 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$80, %rsp
	.loc 1 119 13
	movl	m_Height(%rip), %edx
	movl	m_Width(%rip), %eax
	movl	.LC1(%rip), %ecx
	movd	%ecx, %xmm0
	movl	%eax, %esi
	movl	$.LC0, %edi
	call	TMFont
	.loc 1 119 11
	testb	%al, %al
	jne	.L5
	.loc 1 121 17
	movl	$.LC2, %edi
	call	puts
	.loc 1 122 24
	movl	$0, %eax
	jmp	.L7
.L5:
	.loc 1 132 21
	movl	$8, -4(%rbp)
	.loc 1 133 9
	movq	mono5(%rip), %rdx
	movl	-4(%rbp), %eax
	movl	$1, %esi
	movl	%eax, %edi
	call	MipmapsImage
	.loc 1 154 15
	pxor	%xmm0, %xmm0
	movss	%xmm0, -48(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -44(%rbp)
	movss	m_fontSize(%rip), %xmm0
	movss	%xmm0, -40(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -36(%rbp)
	movss	m_fontSize(%rip), %xmm0
	movss	%xmm0, -32(%rbp)
	movss	m_fontSize(%rip), %xmm0
	movss	%xmm0, -28(%rbp)
	pxor	%xmm0, %xmm0
	movss	%xmm0, -24(%rbp)
	movss	m_fontSize(%rip), %xmm0
	movss	%xmm0, -20(%rbp)
	.loc 1 162 9
	movq	__glewGenBuffers(%rip), %rax
	movl	$vbos5, %esi
	movl	$4, %edi
	call	*%rax
.LVL1:
	.loc 1 163 9
	movq	__glewBindBuffer(%rip), %rdx
	movl	vbos5+8(%rip), %eax
	movl	%eax, %esi
	movl	$34962, %edi
	call	*%rdx
.LVL2:
	.loc 1 164 9
	movq	__glewBufferData(%rip), %r8
	leaq	-48(%rbp), %rax
	movl	$35044, %ecx
	movq	%rax, %rdx
	movl	$32, %esi
	movl	$34962, %edi
	call	*%r8
.LVL3:
	.loc 1 170 15
	pxor	%xmm0, %xmm0
	movaps	%xmm0, -80(%rbp)
	movaps	%xmm0, -64(%rbp)
	.loc 1 178 9
	movq	__glewBindBuffer(%rip), %rdx
	movl	vbos5+4(%rip), %eax
	movl	%eax, %esi
	movl	$34962, %edi
	call	*%rdx
.LVL4:
	.loc 1 179 9
	movq	__glewBufferData(%rip), %r8
	leaq	-80(%rbp), %rax
	movl	$35048, %ecx
	movq	%rax, %rdx
	movl	$32, %esi
	movl	$34962, %edi
	call	*%r8
.LVL5:
	.loc 1 184 2
	movl	t(%rip), %eax
	movl	$.LC4, %edx
	movl	$0, %esi
	movl	%eax, %edi
	call	Location
	.loc 1 185 2
	movl	t(%rip), %eax
	movl	$.LC5, %edx
	movl	$1, %esi
	movl	%eax, %edi
	call	Location
	.loc 1 187 2
	movl	t(%rip), %eax
	movl	%eax, %edi
	call	linkProgram
	.loc 1 188 9
	movl	t(%rip), %eax
	movl	.LC3(%rip), %edx
	movd	%edx, %xmm0
	movl	$.LC6, %esi
	movl	%eax, %edi
	call	Uniform
	.loc 1 190 16
	movl	$1, %eax
.L7:
	.loc 1 191 1 discriminator 1
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE8:
	.size	initFont, .-initFont
	.section	.rodata
.LC10:
	.string	"projection_matrix"
.LC11:
	.string	"modelview_matrix"
	.text
	.globl	printString
	.type	printString, @function
printString:
.LFB9:
	.loc 1 197 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$112, %rsp
	movq	%rdi, -104(%rbp)
	movss	%xmm0, -108(%rbp)
	movss	%xmm1, -112(%rbp)
	.loc 1 202 9
	movl	t(%rip), %eax
	movl	%eax, %edi
	call	bindShader
	.loc 1 203 9
	movl	$0, %eax
	call	setOrthoMode
	.loc 1 208 9
	movl	$2884, %edi
	call	glDisable
	.loc 1 209 9
	movl	$2929, %edi
	call	glDisable
	.loc 1 212 9
	movl	m_textureID(%rip), %eax
	movl	%eax, %esi
	movl	$3553, %edi
	call	glBindTexture
	.loc 1 219 2
	movq	__glewEnableVertexAttribArray(%rip), %rax
	movl	$0, %edi
	call	*%rax
.LVL6:
	.loc 1 220 6
	movq	__glewEnableVertexAttribArray(%rip), %rax
	movl	$1, %edi
	call	*%rax
.LVL7:
	.loc 1 231 9
	movss	-112(%rbp), %xmm0
	movl	-108(%rbp), %eax
	pxor	%xmm2, %xmm2
	movaps	%xmm0, %xmm1
	movd	%eax, %xmm0
	call	glTranslatef
	.loc 1 232 15
	movq	$0, -8(%rbp)
	.loc 1 232 9
	jmp	.L9
.L10:
.LBB2:
	.loc 1 235 29 discriminator 3
	movss	.LC7(%rip), %xmm0
	movss	%xmm0, -12(%rbp)
	.loc 1 236 35 discriminator 3
	movq	-104(%rbp), %rdx
	movq	-8(%rbp), %rax
	addq	%rdx, %rax
	movzbl	(%rax), %eax
	.loc 1 236 21 discriminator 3
	movsbl	%al, %eax
	movl	%eax, -16(%rbp)
	.loc 1 237 41 discriminator 3
	movl	-16(%rbp), %edx
	movl	%edx, %eax
	sarl	$31, %eax
	shrl	$28, %eax
	addl	%eax, %edx
	andl	$15, %edx
	subl	%eax, %edx
	movl	%edx, %eax
	.loc 1 237 30 discriminator 3
	pxor	%xmm0, %xmm0
	cvtsi2ssl	%eax, %xmm0
	.loc 1 237 23 discriminator 3
	movss	-12(%rbp), %xmm1
	mulss	%xmm1, %xmm0
	movss	%xmm0, -20(%rbp)
	.loc 1 238 41 discriminator 3
	movl	-16(%rbp), %eax
	leal	15(%rax), %edx
	testl	%eax, %eax
	cmovs	%edx, %eax
	sarl	$4, %eax
	.loc 1 238 30 discriminator 3
	pxor	%xmm0, %xmm0
	cvtsi2ssl	%eax, %xmm0
	.loc 1 238 23 discriminator 3
	movss	-12(%rbp), %xmm1
	mulss	%xmm1, %xmm0
	movss	%xmm0, -24(%rbp)
	.loc 1 241 30 discriminator 3
	movss	-20(%rbp), %xmm0
	movss	%xmm0, -96(%rbp)
	.loc 1 242 37 discriminator 3
	movss	.LC8(%rip), %xmm0
	subss	-24(%rbp), %xmm0
	.loc 1 242 44 discriminator 3
	subss	-12(%rbp), %xmm0
	.loc 1 242 30 discriminator 3
	movss	%xmm0, -92(%rbp)
	.loc 1 243 37 discriminator 3
	movss	-20(%rbp), %xmm0
	addss	-12(%rbp), %xmm0
	.loc 1 243 30 discriminator 3
	movss	%xmm0, -88(%rbp)
	.loc 1 244 37 discriminator 3
	movss	.LC8(%rip), %xmm0
	subss	-24(%rbp), %xmm0
	.loc 1 244 44 discriminator 3
	subss	-12(%rbp), %xmm0
	.loc 1 244 30 discriminator 3
	movss	%xmm0, -84(%rbp)
	.loc 1 245 37 discriminator 3
	movss	-20(%rbp), %xmm0
	addss	-12(%rbp), %xmm0
	.loc 1 245 30 discriminator 3
	movss	%xmm0, -80(%rbp)
	.loc 1 246 37 discriminator 3
	movss	.LC8(%rip), %xmm0
	subss	-24(%rbp), %xmm0
	.loc 1 246 44 discriminator 3
	movss	.LC9(%rip), %xmm1
	subss	%xmm1, %xmm0
	.loc 1 246 30 discriminator 3
	movss	%xmm0, -76(%rbp)
	.loc 1 247 30 discriminator 3
	movss	-20(%rbp), %xmm0
	movss	%xmm0, -72(%rbp)
	.loc 1 248 37 discriminator 3
	movss	.LC8(%rip), %xmm0
	subss	-24(%rbp), %xmm0
	.loc 1 248 44 discriminator 3
	movss	.LC9(%rip), %xmm1
	subss	%xmm1, %xmm0
	.loc 1 248 30 discriminator 3
	movss	%xmm0, -68(%rbp)
	.loc 1 251 17 discriminator 3
	movq	__glewBindBuffer(%rip), %rdx
	movl	vbos5+4(%rip), %eax
	movl	%eax, %esi
	movl	$34962, %edi
	call	*%rdx
.LVL8:
	.loc 1 252 17 discriminator 3
	movq	__glewBufferSubData(%rip), %r8
	leaq	-96(%rbp), %rax
	movq	%rax, %rcx
	movl	$32, %edx
	movl	$0, %esi
	movl	$34962, %edi
	call	*%r8
.LVL9:
	.loc 1 256 17 discriminator 3
	movq	__glewBindBuffer(%rip), %rdx
	movl	vbos5+8(%rip), %eax
	movl	%eax, %esi
	movl	$34962, %edi
	call	*%rdx
.LVL10:
	.loc 1 259 29 discriminator 3
	movl	$2, -28(%rbp)
	.loc 1 260 30 discriminator 3
	movl	$5126, -32(%rbp)
	.loc 1 261 33 discriminator 3
	movb	$0, -33(%rbp)
	.loc 1 262 31 discriminator 3
	movl	$0, -40(%rbp)
	.loc 1 263 30 discriminator 3
	movb	$0, -41(%rbp)
	.loc 1 266 17 discriminator 3
	movq	__glewVertexAttribPointer(%rip), %r10
	movq	w_vertices5(%rip), %rax
	.loc 1 266 96 discriminator 3
	movsbq	-41(%rbp), %rdx
	salq	$2, %rdx
	.loc 1 266 84 discriminator 3
	leaq	(%rax,%rdx), %rdi
	.loc 1 266 17 discriminator 3
	movzbl	-33(%rbp), %ecx
	movl	-40(%rbp), %esi
	movl	-32(%rbp), %edx
	movl	-28(%rbp), %eax
	movq	%rdi, %r9
	movl	%esi, %r8d
	movl	%eax, %esi
	movl	$0, %edi
	call	*%r10
.LVL11:
	.loc 1 270 17 discriminator 3
	movq	__glewBindBuffer(%rip), %rdx
	movl	vbos5+4(%rip), %eax
	movl	%eax, %esi
	movl	$34962, %edi
	call	*%rdx
.LVL12:
	.loc 1 273 29 discriminator 3
	movl	$2, -48(%rbp)
	.loc 1 274 30 discriminator 3
	movl	$5126, -52(%rbp)
	.loc 1 275 33 discriminator 3
	movb	$0, -53(%rbp)
	.loc 1 276 31 discriminator 3
	movl	$0, -60(%rbp)
	.loc 1 277 30 discriminator 3
	movb	$0, -61(%rbp)
	.loc 1 280 17 discriminator 3
	movq	__glewVertexAttribPointer(%rip), %r10
	movq	w_texCoords5(%rip), %rax
	.loc 1 280 97 discriminator 3
	movsbq	-61(%rbp), %rdx
	salq	$2, %rdx
	.loc 1 280 84 discriminator 3
	leaq	(%rax,%rdx), %rdi
	.loc 1 280 17 discriminator 3
	movzbl	-53(%rbp), %ecx
	movl	-60(%rbp), %esi
	movl	-52(%rbp), %edx
	movl	-48(%rbp), %eax
	movq	%rdi, %r9
	movl	%esi, %r8d
	movl	%eax, %esi
	movl	$1, %edi
	call	*%r10
.LVL13:
	.loc 1 285 10 discriminator 3
	movl	$projection1.1, %esi
	movl	$2983, %edi
	call	glGetFloatv
	.loc 1 286 10 discriminator 3
	movl	$modelview1.0, %esi
	movl	$2982, %edi
	call	glGetFloatv
	.loc 1 289 10 discriminator 3
	movl	t(%rip), %eax
	movl	$projection1.1, %ecx
	movl	$0, %edx
	movl	$.LC10, %esi
	movl	%eax, %edi
	call	Uniform4x4
	.loc 1 290 10 discriminator 3
	movl	t(%rip), %eax
	movl	$modelview1.0, %ecx
	movl	$1, %edx
	movl	$.LC11, %esi
	movl	%eax, %edi
	call	Uniform4x4
	.loc 1 293 17 discriminator 3
	movl	$4, %edx
	movl	$0, %esi
	movl	$7, %edi
	call	glDrawArrays
	.loc 1 294 17 discriminator 3
	movss	m_fontSize(%rip), %xmm1
	movss	.LC12(%rip), %xmm0
	mulss	%xmm0, %xmm1
	movd	%xmm1, %eax
	pxor	%xmm2, %xmm2
	pxor	%xmm1, %xmm1
	movd	%eax, %xmm0
	call	glTranslatef
.LBE2:
	.loc 1 232 37 discriminator 3
	addq	$1, -8(%rbp)
.L9:
	.loc 1 232 22 discriminator 1
	cmpq	$7, -8(%rbp)
	jbe	.L10
	.loc 1 302 9
	movq	__glewDisableVertexAttribArray(%rip), %rax
	movl	$0, %edi
	call	*%rax
.LVL14:
	.loc 1 303 9
	movq	__glewDisableVertexAttribArray(%rip), %rax
	movl	$1, %edi
	call	*%rax
.LVL15:
	.loc 1 311 9
	movl	$0, %eax
	call	unsetOrthoMode
	.loc 1 312 1
	nop
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE9:
	.size	printString, .-printString
	.globl	setOrthoMode
	.type	setOrthoMode, @function
setOrthoMode:
.LFB10:
	.loc 1 318 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	.loc 1 319 9
	movl	$5889, %edi
	call	glMatrixMode
	.loc 1 320 9
	call	glPushMatrix
	.loc 1 321 9
	call	glLoadIdentity
	.loc 1 322 41
	movl	m_Height(%rip), %eax
	pxor	%xmm0, %xmm0
	cvtsi2ssl	%eax, %xmm0
	.loc 1 322 9
	pxor	%xmm1, %xmm1
	cvtss2sd	%xmm0, %xmm1
	.loc 1 322 20
	movl	m_Width(%rip), %eax
	pxor	%xmm0, %xmm0
	cvtsi2ssl	%eax, %xmm0
	.loc 1 322 9
	cvtss2sd	%xmm0, %xmm0
	movsd	.LC13(%rip), %xmm3
	movsd	.LC14(%rip), %xmm2
	movapd	%xmm3, %xmm5
	movapd	%xmm2, %xmm4
	movapd	%xmm1, %xmm3
	pxor	%xmm2, %xmm2
	movapd	%xmm0, %xmm1
	movq	.LC15(%rip), %rax
	movq	%rax, %xmm0
	call	glOrtho
	.loc 1 323 9
	movl	$5888, %edi
	call	glMatrixMode
	.loc 1 324 9
	call	glPushMatrix
	.loc 1 325 9
	call	glLoadIdentity
	.loc 1 326 1
	nop
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE10:
	.size	setOrthoMode, .-setOrthoMode
	.globl	unsetOrthoMode
	.type	unsetOrthoMode, @function
unsetOrthoMode:
.LFB11:
	.loc 1 332 1
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	.loc 1 333 9
	call	glPopMatrix
	.loc 1 334 9
	movl	$5889, %edi
	call	glMatrixMode
	.loc 1 335 9
	call	glPopMatrix
	.loc 1 336 9
	movl	$5888, %edi
	call	glMatrixMode
	.loc 1 337 1
	nop
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE11:
	.size	unsetOrthoMode, .-unsetOrthoMode
	.section	.rodata
	.align 8
	.type	font_vert.3, @object
	.size	font_vert.3, 15
font_vert.3:
	.string	"GLSL/font.vert"
	.align 8
	.type	font_frag.2, @object
	.size	font_frag.2, 15
font_frag.2:
	.string	"GLSL/font.frag"
	.local	projection1.1
	.comm	projection1.1,64,32
	.local	modelview1.0
	.comm	modelview1.0,64,32
	.align 4
.LC1:
	.long	1103626240
	.align 4
.LC3:
	.long	0
	.align 4
.LC7:
	.long	1031798784
	.align 4
.LC8:
	.long	1065353216
	.align 4
.LC9:
	.long	981668463
	.align 4
.LC12:
	.long	1061997773
	.align 8
.LC13:
	.long	0
	.long	1072693248
	.align 8
.LC14:
	.long	0
	.long	-1074790400
	.align 8
.LC15:
	.long	0
	.long	0
	.text
.Letext0:
	.file 2 "/usr/lib/gcc/x86_64-redhat-linux/12/include/stddef.h"
	.file 3 "/usr/include/GL/glew.h"
	.file 4 "/usr/include/png.h"
	.file 5 "FONT/../CONF/uniform.h"
	.file 6 "FONT/../TEX/texture.h"
	.file 7 "FONT/../CONF/geometry.h"
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.long	0x94d
	.value	0x5
	.byte	0x1
	.byte	0x8
	.long	.Ldebug_abbrev0
	.uleb128 0x18
	.long	.LASF114
	.byte	0x1d
	.long	.LASF0
	.long	.LASF1
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.long	.Ldebug_line0
	.uleb128 0x4
	.byte	0x8
	.byte	0x7
	.long	.LASF2
	.uleb128 0x4
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x4
	.byte	0x1
	.byte	0x8
	.long	.LASF4
	.uleb128 0x4
	.byte	0x2
	.byte	0x7
	.long	.LASF5
	.uleb128 0x4
	.byte	0x1
	.byte	0x6
	.long	.LASF6
	.uleb128 0x4
	.byte	0x2
	.byte	0x5
	.long	.LASF7
	.uleb128 0x19
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x4
	.byte	0x8
	.byte	0x5
	.long	.LASF8
	.uleb128 0x4
	.byte	0x1
	.byte	0x6
	.long	.LASF9
	.uleb128 0x5
	.long	0x66
	.uleb128 0x4
	.byte	0x8
	.byte	0x5
	.long	.LASF10
	.uleb128 0x4
	.byte	0x8
	.byte	0x7
	.long	.LASF11
	.uleb128 0x3
	.long	0x85
	.uleb128 0x1a
	.uleb128 0x3
	.long	0x6d
	.uleb128 0x4
	.byte	0x4
	.byte	0x4
	.long	.LASF12
	.uleb128 0x5
	.long	0x8b
	.uleb128 0x4
	.byte	0x8
	.byte	0x4
	.long	.LASF13
	.uleb128 0x1b
	.long	.LASF15
	.byte	0x2
	.byte	0x91
	.byte	0x1a
	.long	0x5f
	.uleb128 0x4
	.byte	0x10
	.byte	0x4
	.long	.LASF14
	.uleb128 0x2
	.long	.LASF16
	.byte	0x3
	.value	0x123
	.byte	0x16
	.long	0x35
	.uleb128 0x5
	.long	0xb1
	.uleb128 0x2
	.long	.LASF17
	.byte	0x3
	.value	0x125
	.byte	0x16
	.long	0x35
	.uleb128 0x2
	.long	.LASF18
	.byte	0x3
	.value	0x126
	.byte	0xd
	.long	0x58
	.uleb128 0x5
	.long	0xd0
	.uleb128 0x2
	.long	.LASF19
	.byte	0x3
	.value	0x127
	.byte	0xd
	.long	0x58
	.uleb128 0x5
	.long	0xe2
	.uleb128 0x2
	.long	.LASF20
	.byte	0x3
	.value	0x128
	.byte	0x17
	.long	0x3c
	.uleb128 0x5
	.long	0xf4
	.uleb128 0x2
	.long	.LASF21
	.byte	0x3
	.value	0x129
	.byte	0x15
	.long	0x4a
	.uleb128 0x5
	.long	0x106
	.uleb128 0x2
	.long	.LASF22
	.byte	0x3
	.value	0x12b
	.byte	0x17
	.long	0x3c
	.uleb128 0x2
	.long	.LASF23
	.byte	0x3
	.value	0x12e
	.byte	0xf
	.long	0x8b
	.uleb128 0x2
	.long	.LASF24
	.byte	0x3
	.value	0x130
	.byte	0x10
	.long	0x97
	.uleb128 0x2
	.long	.LASF25
	.byte	0x3
	.value	0x144
	.byte	0xe
	.long	0x66
	.uleb128 0x5
	.long	0x13f
	.uleb128 0x3
	.long	0x156
	.uleb128 0xb
	.long	0x161
	.uleb128 0x1
	.long	0xb1
	.byte	0
	.uleb128 0x2
	.long	.LASF26
	.byte	0x3
	.value	0x69e
	.byte	0x13
	.long	0x9e
	.uleb128 0x2
	.long	.LASF27
	.byte	0x3
	.value	0x69f
	.byte	0x13
	.long	0x9e
	.uleb128 0x3
	.long	0x180
	.uleb128 0xb
	.long	0x190
	.uleb128 0x1
	.long	0xb1
	.uleb128 0x1
	.long	0xc3
	.byte	0
	.uleb128 0x2
	.long	.LASF28
	.byte	0x3
	.value	0x6a2
	.byte	0x1c
	.long	0x17b
	.uleb128 0x2
	.long	.LASF29
	.byte	0x3
	.value	0x6a3
	.byte	0x1c
	.long	0x1aa
	.uleb128 0x3
	.long	0x1af
	.uleb128 0xb
	.long	0x1c9
	.uleb128 0x1
	.long	0xb1
	.uleb128 0x1
	.long	0x16e
	.uleb128 0x1
	.long	0x80
	.uleb128 0x1
	.long	0xb1
	.byte	0
	.uleb128 0x2
	.long	.LASF30
	.byte	0x3
	.value	0x6a4
	.byte	0x1c
	.long	0x1d6
	.uleb128 0x3
	.long	0x1db
	.uleb128 0xb
	.long	0x1f5
	.uleb128 0x1
	.long	0xb1
	.uleb128 0x1
	.long	0x161
	.uleb128 0x1
	.long	0x16e
	.uleb128 0x1
	.long	0x80
	.byte	0
	.uleb128 0x2
	.long	.LASF31
	.byte	0x3
	.value	0x6a8
	.byte	0x1c
	.long	0x202
	.uleb128 0x3
	.long	0x207
	.uleb128 0xb
	.long	0x217
	.uleb128 0x1
	.long	0xe2
	.uleb128 0x1
	.long	0x217
	.byte	0
	.uleb128 0x3
	.long	0xc3
	.uleb128 0x3
	.long	0x14c
	.uleb128 0x3
	.long	0x226
	.uleb128 0xb
	.long	0x231
	.uleb128 0x1
	.long	0xc3
	.byte	0
	.uleb128 0x2
	.long	.LASF32
	.byte	0x3
	.value	0x730
	.byte	0x1c
	.long	0x221
	.uleb128 0x2
	.long	.LASF33
	.byte	0x3
	.value	0x732
	.byte	0x1c
	.long	0x221
	.uleb128 0x3
	.long	0x125
	.uleb128 0x2
	.long	.LASF34
	.byte	0x3
	.value	0x783
	.byte	0x1c
	.long	0x25d
	.uleb128 0x3
	.long	0x262
	.uleb128 0xb
	.long	0x286
	.uleb128 0x1
	.long	0xc3
	.uleb128 0x1
	.long	0xd0
	.uleb128 0x1
	.long	0xb1
	.uleb128 0x1
	.long	0xf4
	.uleb128 0x1
	.long	0xe2
	.uleb128 0x1
	.long	0x80
	.byte	0
	.uleb128 0x2
	.long	.LASF35
	.byte	0x3
	.value	0x1358
	.byte	0x1c
	.long	0x151
	.uleb128 0x3
	.long	0x118
	.uleb128 0xa
	.long	.LASF36
	.value	0x576f
	.byte	0x25
	.long	0x190
	.uleb128 0xa
	.long	.LASF37
	.value	0x5770
	.byte	0x25
	.long	0x19d
	.uleb128 0xa
	.long	.LASF38
	.value	0x5771
	.byte	0x28
	.long	0x1c9
	.uleb128 0xa
	.long	.LASF39
	.value	0x5775
	.byte	0x25
	.long	0x1f5
	.uleb128 0xa
	.long	.LASF40
	.value	0x578b
	.byte	0x33
	.long	0x231
	.uleb128 0xa
	.long	.LASF41
	.value	0x578d
	.byte	0x32
	.long	0x23e
	.uleb128 0xa
	.long	.LASF42
	.value	0x57de
	.byte	0x2e
	.long	0x250
	.uleb128 0xa
	.long	.LASF43
	.value	0x597e
	.byte	0x29
	.long	0x286
	.uleb128 0x3
	.long	0x3c
	.uleb128 0x2
	.long	.LASF44
	.byte	0x4
	.value	0x1b7
	.byte	0x1f
	.long	0x30f
	.uleb128 0x5
	.long	0x2fd
	.uleb128 0x14
	.long	.LASF46
	.uleb128 0x3
	.long	0x30a
	.uleb128 0xf
	.long	0x314
	.uleb128 0x3
	.long	0x2fd
	.uleb128 0xf
	.long	0x31e
	.uleb128 0x2
	.long	.LASF45
	.byte	0x4
	.value	0x1c5
	.byte	0x1d
	.long	0x33a
	.uleb128 0x5
	.long	0x328
	.uleb128 0x14
	.long	.LASF47
	.uleb128 0x3
	.long	0x328
	.uleb128 0xf
	.long	0x33f
	.uleb128 0x3
	.long	0x335
	.uleb128 0xf
	.long	0x349
	.uleb128 0x1c
	.long	.LASF115
	.byte	0x7
	.byte	0x4
	.long	0x35
	.byte	0x7
	.byte	0x11
	.byte	0x6
	.long	0x384
	.uleb128 0xe
	.long	.LASF48
	.byte	0
	.uleb128 0xe
	.long	.LASF49
	.byte	0x1
	.uleb128 0xe
	.long	.LASF50
	.byte	0x2
	.uleb128 0xe
	.long	.LASF51
	.byte	0x3
	.uleb128 0xe
	.long	.LASF52
	.byte	0x4
	.byte	0
	.uleb128 0x10
	.long	0xc3
	.long	0x394
	.uleb128 0x11
	.long	0x2e
	.byte	0x3
	.byte	0
	.uleb128 0x8
	.long	.LASF53
	.byte	0xd
	.byte	0x8
	.long	0x384
	.uleb128 0x9
	.byte	0x3
	.quad	vbos5
	.uleb128 0x1d
	.long	.LASF116
	.byte	0x4
	.byte	0x1
	.byte	0x10
	.byte	0x8
	.long	0x3c4
	.uleb128 0x1e
	.long	.LASF117
	.byte	0x1
	.byte	0x12
	.byte	0x18
	.long	0x35
	.byte	0
	.byte	0
	.uleb128 0x1f
	.string	"t"
	.byte	0x1
	.byte	0x13
	.byte	0x2
	.long	0x3a9
	.uleb128 0x9
	.byte	0x3
	.quad	t
	.uleb128 0x8
	.long	.LASF54
	.byte	0x18
	.byte	0x9
	.long	0x217
	.uleb128 0x9
	.byte	0x3
	.quad	w_texCoords5
	.uleb128 0x8
	.long	.LASF55
	.byte	0x19
	.byte	0x9
	.long	0x217
	.uleb128 0x9
	.byte	0x3
	.quad	w_vertices5
	.uleb128 0x8
	.long	.LASF56
	.byte	0x1a
	.byte	0x8
	.long	0xc3
	.uleb128 0x9
	.byte	0x3
	.quad	m_textureID
	.uleb128 0x8
	.long	.LASF57
	.byte	0x1d
	.byte	0xd
	.long	0x86
	.uleb128 0x9
	.byte	0x3
	.quad	m_textureName
	.uleb128 0x8
	.long	.LASF58
	.byte	0x1e
	.byte	0x7
	.long	0x8b
	.uleb128 0x9
	.byte	0x3
	.quad	m_fontSize
	.uleb128 0x8
	.long	.LASF59
	.byte	0x1f
	.byte	0x5
	.long	0x58
	.uleb128 0x9
	.byte	0x3
	.quad	m_Width
	.uleb128 0x8
	.long	.LASF60
	.byte	0x20
	.byte	0x5
	.long	0x58
	.uleb128 0x9
	.byte	0x3
	.quad	m_Height
	.uleb128 0x8
	.long	.LASF61
	.byte	0x23
	.byte	0xa
	.long	0x293
	.uleb128 0x9
	.byte	0x3
	.quad	mono5
	.uleb128 0x12
	.long	.LASF62
	.value	0x42c
	.uleb128 0x9
	.long	.LASF65
	.value	0x41c
	.long	0x4b1
	.uleb128 0x1
	.long	0x132
	.uleb128 0x1
	.long	0x132
	.uleb128 0x1
	.long	0x132
	.uleb128 0x1
	.long	0x132
	.uleb128 0x1
	.long	0x132
	.uleb128 0x1
	.long	0x132
	.byte	0
	.uleb128 0x12
	.long	.LASF63
	.value	0x3fc
	.uleb128 0x12
	.long	.LASF64
	.value	0x431
	.uleb128 0x9
	.long	.LASF66
	.value	0x40d
	.long	0x4d0
	.uleb128 0x1
	.long	0xb1
	.byte	0
	.uleb128 0x9
	.long	.LASF67
	.value	0x3a0
	.long	0x4eb
	.uleb128 0x1
	.long	0xb1
	.uleb128 0x1
	.long	0xd0
	.uleb128 0x1
	.long	0xe2
	.byte	0
	.uleb128 0xc
	.long	.LASF68
	.byte	0x5
	.byte	0x28
	.long	0x50b
	.uleb128 0x1
	.long	0x35
	.uleb128 0x1
	.long	0x86
	.uleb128 0x1
	.long	0x66
	.uleb128 0x1
	.long	0x50b
	.byte	0
	.uleb128 0x3
	.long	0x92
	.uleb128 0x9
	.long	.LASF69
	.value	0x3c6
	.long	0x526
	.uleb128 0x1
	.long	0xb1
	.uleb128 0x1
	.long	0x24b
	.byte	0
	.uleb128 0x9
	.long	.LASF70
	.value	0x494
	.long	0x541
	.uleb128 0x1
	.long	0x125
	.uleb128 0x1
	.long	0x125
	.uleb128 0x1
	.long	0x125
	.byte	0
	.uleb128 0x9
	.long	.LASF71
	.value	0x39e
	.long	0x552
	.uleb128 0x1
	.long	0xb1
	.byte	0
	.uleb128 0xc
	.long	.LASF72
	.byte	0x5
	.byte	0x32
	.long	0x563
	.uleb128 0x1
	.long	0x35
	.byte	0
	.uleb128 0xc
	.long	.LASF73
	.byte	0x5
	.byte	0x27
	.long	0x57e
	.uleb128 0x1
	.long	0x35
	.uleb128 0x1
	.long	0x86
	.uleb128 0x1
	.long	0x92
	.byte	0
	.uleb128 0xc
	.long	.LASF74
	.byte	0x5
	.byte	0x31
	.long	0x58f
	.uleb128 0x1
	.long	0x35
	.byte	0
	.uleb128 0xc
	.long	.LASF75
	.byte	0x5
	.byte	0x26
	.long	0x5aa
	.uleb128 0x1
	.long	0x35
	.uleb128 0x1
	.long	0x35
	.uleb128 0x1
	.long	0x86
	.byte	0
	.uleb128 0x12
	.long	.LASF76
	.value	0x3b9
	.uleb128 0x9
	.long	.LASF77
	.value	0x492
	.long	0x5ea
	.uleb128 0x1
	.long	0xb1
	.uleb128 0x1
	.long	0xd0
	.uleb128 0x1
	.long	0xd0
	.uleb128 0x1
	.long	0xd0
	.uleb128 0x1
	.long	0xe2
	.uleb128 0x1
	.long	0xe2
	.uleb128 0x1
	.long	0xb1
	.uleb128 0x1
	.long	0xb1
	.uleb128 0x1
	.long	0x80
	.byte	0
	.uleb128 0x9
	.long	.LASF78
	.value	0x48f
	.long	0x605
	.uleb128 0x1
	.long	0xb1
	.uleb128 0x1
	.long	0xb1
	.uleb128 0x1
	.long	0xd0
	.byte	0
	.uleb128 0x9
	.long	.LASF79
	.value	0x364
	.long	0x61b
	.uleb128 0x1
	.long	0xb1
	.uleb128 0x1
	.long	0xc3
	.byte	0
	.uleb128 0xc
	.long	.LASF80
	.byte	0x6
	.byte	0x16
	.long	0x631
	.uleb128 0x1
	.long	0x86
	.uleb128 0x1
	.long	0x631
	.byte	0
	.uleb128 0x3
	.long	0x2f8
	.uleb128 0x20
	.long	.LASF118
	.byte	0x5
	.byte	0x23
	.byte	0x5
	.long	0x58
	.long	0x64c
	.uleb128 0x1
	.long	0x35
	.byte	0
	.uleb128 0xc
	.long	.LASF81
	.byte	0x5
	.byte	0x20
	.long	0x662
	.uleb128 0x1
	.long	0x21c
	.uleb128 0x1
	.long	0x21c
	.byte	0
	.uleb128 0x15
	.long	.LASF82
	.value	0x14b
	.quad	.LFB11
	.quad	.LFE11-.LFB11
	.uleb128 0x1
	.byte	0x9c
	.uleb128 0x15
	.long	.LASF83
	.value	0x13d
	.quad	.LFB10
	.quad	.LFE10-.LFB10
	.uleb128 0x1
	.byte	0x9c
	.uleb128 0x16
	.long	.LASF100
	.byte	0xc4
	.quad	.LFB9
	.quad	.LFE9-.LFB9
	.uleb128 0x1
	.byte	0x9c
	.long	0x801
	.uleb128 0x13
	.string	"str"
	.byte	0x1e
	.long	0x86
	.uleb128 0x3
	.byte	0x91
	.sleb128 -120
	.uleb128 0x13
	.string	"mx"
	.byte	0x29
	.long	0x8b
	.uleb128 0x3
	.byte	0x91
	.sleb128 -124
	.uleb128 0x13
	.string	"my"
	.byte	0x33
	.long	0x8b
	.uleb128 0x3
	.byte	0x91
	.sleb128 -128
	.uleb128 0x6
	.long	.LASF84
	.byte	0xc6
	.byte	0x16
	.long	0x801
	.uleb128 0x9
	.byte	0x3
	.quad	modelview1.0
	.uleb128 0x6
	.long	.LASF85
	.byte	0xc7
	.byte	0x16
	.long	0x801
	.uleb128 0x9
	.byte	0x3
	.quad	projection1.1
	.uleb128 0x6
	.long	.LASF86
	.byte	0xcd
	.byte	0xf
	.long	0x811
	.uleb128 0x3
	.byte	0x91
	.sleb128 -112
	.uleb128 0x17
	.string	"i"
	.byte	0xe3
	.byte	0x1b
	.long	0x2e
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x21
	.quad	.LBB2
	.quad	.LBE2-.LBB2
	.uleb128 0x6
	.long	.LASF87
	.byte	0xeb
	.byte	0x1d
	.long	0x92
	.uleb128 0x2
	.byte	0x91
	.sleb128 -28
	.uleb128 0x17
	.string	"ch"
	.byte	0xec
	.byte	0x15
	.long	0x58
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x6
	.long	.LASF88
	.byte	0xed
	.byte	0x17
	.long	0x8b
	.uleb128 0x2
	.byte	0x91
	.sleb128 -36
	.uleb128 0x6
	.long	.LASF89
	.byte	0xee
	.byte	0x17
	.long	0x8b
	.uleb128 0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x7
	.long	.LASF90
	.value	0x103
	.byte	0x1d
	.long	0xdd
	.uleb128 0x2
	.byte	0x91
	.sleb128 -44
	.uleb128 0x7
	.long	.LASF91
	.value	0x104
	.byte	0x1e
	.long	0xbe
	.uleb128 0x2
	.byte	0x91
	.sleb128 -48
	.uleb128 0x7
	.long	.LASF92
	.value	0x105
	.byte	0x21
	.long	0x101
	.uleb128 0x2
	.byte	0x91
	.sleb128 -49
	.uleb128 0x7
	.long	.LASF93
	.value	0x106
	.byte	0x1f
	.long	0xef
	.uleb128 0x2
	.byte	0x91
	.sleb128 -56
	.uleb128 0x7
	.long	.LASF94
	.value	0x107
	.byte	0x1e
	.long	0x113
	.uleb128 0x2
	.byte	0x91
	.sleb128 -57
	.uleb128 0x7
	.long	.LASF95
	.value	0x111
	.byte	0x1d
	.long	0xdd
	.uleb128 0x2
	.byte	0x91
	.sleb128 -64
	.uleb128 0x7
	.long	.LASF96
	.value	0x112
	.byte	0x1e
	.long	0xbe
	.uleb128 0x3
	.byte	0x91
	.sleb128 -68
	.uleb128 0x7
	.long	.LASF97
	.value	0x113
	.byte	0x21
	.long	0x101
	.uleb128 0x3
	.byte	0x91
	.sleb128 -69
	.uleb128 0x7
	.long	.LASF98
	.value	0x114
	.byte	0x1f
	.long	0xef
	.uleb128 0x3
	.byte	0x91
	.sleb128 -76
	.uleb128 0x7
	.long	.LASF99
	.value	0x115
	.byte	0x1e
	.long	0x113
	.uleb128 0x3
	.byte	0x91
	.sleb128 -77
	.byte	0
	.byte	0
	.uleb128 0x10
	.long	0x8b
	.long	0x811
	.uleb128 0x11
	.long	0x2e
	.byte	0xf
	.byte	0
	.uleb128 0x10
	.long	0x8b
	.long	0x821
	.uleb128 0x11
	.long	0x2e
	.byte	0x7
	.byte	0
	.uleb128 0x22
	.long	.LASF101
	.byte	0x1
	.byte	0x74
	.byte	0x6
	.long	0x66
	.quad	.LFB8
	.quad	.LFE8-.LFB8
	.uleb128 0x1
	.byte	0x9c
	.long	0x86f
	.uleb128 0x6
	.long	.LASF102
	.byte	0x84
	.byte	0x15
	.long	0xdd
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x6
	.long	.LASF103
	.byte	0x9a
	.byte	0xf
	.long	0x811
	.uleb128 0x2
	.byte	0x91
	.sleb128 -64
	.uleb128 0x6
	.long	.LASF86
	.byte	0xaa
	.byte	0xf
	.long	0x811
	.uleb128 0x3
	.byte	0x91
	.sleb128 -96
	.byte	0
	.uleb128 0x16
	.long	.LASF104
	.byte	0x47
	.quad	.LFB7
	.quad	.LFE7-.LFB7
	.uleb128 0x1
	.byte	0x9c
	.long	0x8b6
	.uleb128 0xd
	.long	.LASF105
	.byte	0x47
	.byte	0x1f
	.long	0xdd
	.uleb128 0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0xd
	.long	.LASF106
	.byte	0x47
	.byte	0x2b
	.long	0x58
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0xd
	.long	.LASF107
	.byte	0x47
	.byte	0x3b
	.long	0x293
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.byte	0
	.uleb128 0x23
	.long	.LASF119
	.byte	0x1
	.byte	0x28
	.byte	0x6
	.long	0x66
	.quad	.LFB6
	.quad	.LFE6-.LFB6
	.uleb128 0x1
	.byte	0x9c
	.long	0x93b
	.uleb128 0xd
	.long	.LASF108
	.byte	0x28
	.byte	0x19
	.long	0x86
	.uleb128 0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0xd
	.long	.LASF109
	.byte	0x28
	.byte	0x2a
	.long	0x58
	.uleb128 0x2
	.byte	0x91
	.sleb128 -28
	.uleb128 0xd
	.long	.LASF110
	.byte	0x28
	.byte	0x3b
	.long	0x58
	.uleb128 0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0xd
	.long	.LASF111
	.byte	0x28
	.byte	0x4f
	.long	0x8b
	.uleb128 0x2
	.byte	0x91
	.sleb128 -36
	.uleb128 0x6
	.long	.LASF112
	.byte	0x2b
	.byte	0x1d
	.long	0x94b
	.uleb128 0x9
	.byte	0x3
	.quad	font_vert.3
	.uleb128 0x6
	.long	.LASF113
	.byte	0x2c
	.byte	0x1d
	.long	0x94b
	.uleb128 0x9
	.byte	0x3
	.quad	font_frag.2
	.byte	0
	.uleb128 0x10
	.long	0x14c
	.long	0x94b
	.uleb128 0x11
	.long	0x2e
	.byte	0xe
	.byte	0
	.uleb128 0x5
	.long	0x93b
	.byte	0
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.uleb128 0x1
	.uleb128 0x5
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x2
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x3
	.uleb128 0xf
	.byte	0
	.uleb128 0xb
	.uleb128 0x21
	.sleb128 8
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x4
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0
	.byte	0
	.uleb128 0x5
	.uleb128 0x26
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x6
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x7
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x8
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x9
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 3
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0x21
	.sleb128 23
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xa
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 3
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0xb
	.uleb128 0x15
	.byte	0x1
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xc
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0x21
	.sleb128 6
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0xd
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0xe
	.uleb128 0x28
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1c
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0xf
	.uleb128 0x37
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x10
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x11
	.uleb128 0x21
	.byte	0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x12
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 3
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0x21
	.sleb128 23
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x3c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x13
	.uleb128 0x5
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0x21
	.sleb128 196
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x14
	.uleb128 0x13
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x15
	.uleb128 0x2e
	.byte	0
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x39
	.uleb128 0x21
	.sleb128 6
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x7c
	.uleb128 0x19
	.byte	0
	.byte	0
	.uleb128 0x16
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0x21
	.sleb128 6
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x7c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x17
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0x21
	.sleb128 1
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x18
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x1f
	.uleb128 0x1b
	.uleb128 0x1f
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x10
	.uleb128 0x17
	.byte	0
	.byte	0
	.uleb128 0x19
	.uleb128 0x24
	.byte	0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0
	.byte	0
	.uleb128 0x1a
	.uleb128 0x26
	.byte	0
	.byte	0
	.byte	0
	.uleb128 0x1b
	.uleb128 0x16
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1c
	.uleb128 0x4
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1d
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x1e
	.uleb128 0xd
	.byte	0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xb
	.byte	0
	.byte	0
	.uleb128 0x1f
	.uleb128 0x34
	.byte	0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x2
	.uleb128 0x18
	.byte	0
	.byte	0
	.uleb128 0x20
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x21
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.byte	0
	.byte	0
	.uleb128 0x22
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x7c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.uleb128 0x23
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0x19
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x39
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0x19
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x7
	.uleb128 0x40
	.uleb128 0x18
	.uleb128 0x7c
	.uleb128 0x19
	.uleb128 0x1
	.uleb128 0x13
	.byte	0
	.byte	0
	.byte	0
	.section	.debug_aranges,"",@progbits
	.long	0x2c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x8
	.byte	0
	.value	0
	.value	0
	.quad	.Ltext0
	.quad	.Letext0-.Ltext0
	.quad	0
	.quad	0
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.section	.debug_str,"MS",@progbits,1
.LASF99:
	.string	"toffset"
.LASF27:
	.string	"GLsizeiptr"
.LASF39:
	.string	"__glewGenBuffers"
.LASF101:
	.string	"initFont"
.LASF100:
	.string	"printString"
.LASF113:
	.string	"font_frag"
.LASF66:
	.string	"glMatrixMode"
.LASF42:
	.string	"__glewVertexAttribPointer"
.LASF7:
	.string	"short int"
.LASF88:
	.string	"xPos"
.LASF103:
	.string	"vertices"
.LASF45:
	.string	"png_info"
.LASF57:
	.string	"m_textureName"
.LASF104:
	.string	"MipmapsImage"
.LASF69:
	.string	"glGetFloatv"
.LASF61:
	.string	"mono5"
.LASF92:
	.string	"vnormalize"
.LASF29:
	.string	"PFNGLBUFFERDATAPROC"
.LASF109:
	.string	"screenWidth"
.LASF65:
	.string	"glOrtho"
.LASF26:
	.string	"GLintptr"
.LASF48:
	.string	"COLOR_BUFFER"
.LASF40:
	.string	"__glewDisableVertexAttribArray"
.LASF102:
	.string	"countE"
.LASF30:
	.string	"PFNGLBUFFERSUBDATAPROC"
.LASF62:
	.string	"glPopMatrix"
.LASF44:
	.string	"png_struct"
.LASF79:
	.string	"glBindTexture"
.LASF21:
	.string	"GLbyte"
.LASF85:
	.string	"projection1"
.LASF20:
	.string	"GLboolean"
.LASF76:
	.string	"glFlush"
.LASF43:
	.string	"__glewGenerateMipmap"
.LASF52:
	.string	"MAX_BUFFERS"
.LASF23:
	.string	"GLfloat"
.LASF84:
	.string	"modelview1"
.LASF91:
	.string	"vtype"
.LASF6:
	.string	"signed char"
.LASF37:
	.string	"__glewBufferData"
.LASF12:
	.string	"float"
.LASF49:
	.string	"NORMAL_BUFFER"
.LASF18:
	.string	"GLint"
.LASF98:
	.string	"tstride"
.LASF36:
	.string	"__glewBindBuffer"
.LASF11:
	.string	"long long unsigned int"
.LASF47:
	.string	"png_info_def"
.LASF97:
	.string	"tnormalize"
.LASF114:
	.string	"GNU C11 12.2.1 20220819 (Red Hat 12.2.1-2) -mmmx -msse -msse2 -mssse3 -mtune=generic -march=x86-64 -g2 -ggdb -O0 -std=gnu11"
.LASF89:
	.string	"yPos"
.LASF8:
	.string	"long int"
.LASF119:
	.string	"TMFont"
.LASF46:
	.string	"png_struct_def"
.LASF53:
	.string	"vbos5"
.LASF70:
	.string	"glTranslatef"
.LASF93:
	.string	"vstride"
.LASF112:
	.string	"font_vert"
.LASF87:
	.string	"oneOverSixteen"
.LASF115:
	.string	"Buffers"
.LASF75:
	.string	"Location"
.LASF90:
	.string	"vsize"
.LASF63:
	.string	"glLoadIdentity"
.LASF25:
	.string	"GLchar"
.LASF14:
	.string	"long double"
.LASF71:
	.string	"glDisable"
.LASF17:
	.string	"GLuint"
.LASF4:
	.string	"unsigned char"
.LASF83:
	.string	"setOrthoMode"
.LASF55:
	.string	"w_vertices5"
.LASF31:
	.string	"PFNGLGENBUFFERSPROC"
.LASF59:
	.string	"m_Width"
.LASF64:
	.string	"glPushMatrix"
.LASF35:
	.string	"PFNGLGENERATEMIPMAPPROC"
.LASF54:
	.string	"w_texCoords5"
.LASF58:
	.string	"m_fontSize"
.LASF3:
	.string	"unsigned int"
.LASF117:
	.string	"fontProgram"
.LASF96:
	.string	"ttype"
.LASF16:
	.string	"GLenum"
.LASF56:
	.string	"m_textureID"
.LASF5:
	.string	"short unsigned int"
.LASF60:
	.string	"m_Height"
.LASF72:
	.string	"bindShader"
.LASF9:
	.string	"char"
.LASF73:
	.string	"Uniform"
.LASF67:
	.string	"glDrawArrays"
.LASF68:
	.string	"Uniform4x4"
.LASF106:
	.string	"side5"
.LASF111:
	.string	"fontSize"
.LASF50:
	.string	"VERTEX_BUFFER"
.LASF94:
	.string	"voffset"
.LASF81:
	.string	"createShader"
.LASF2:
	.string	"long unsigned int"
.LASF24:
	.string	"GLdouble"
.LASF13:
	.string	"double"
.LASF34:
	.string	"PFNGLVERTEXATTRIBPOINTERPROC"
.LASF28:
	.string	"PFNGLBINDBUFFERPROC"
.LASF77:
	.string	"glTexSubImage2D"
.LASF22:
	.string	"GLubyte"
.LASF19:
	.string	"GLsizei"
.LASF107:
	.string	"pixel5"
.LASF82:
	.string	"unsetOrthoMode"
.LASF33:
	.string	"PFNGLENABLEVERTEXATTRIBARRAYPROC"
.LASF105:
	.string	"count5"
.LASF95:
	.string	"tsize"
.LASF41:
	.string	"__glewEnableVertexAttribArray"
.LASF108:
	.string	"textureName"
.LASF110:
	.string	"screenHeight"
.LASF38:
	.string	"__glewBufferSubData"
.LASF78:
	.string	"glTexParameteri"
.LASF32:
	.string	"PFNGLDISABLEVERTEXATTRIBARRAYPROC"
.LASF118:
	.string	"createProgram"
.LASF15:
	.string	"ptrdiff_t"
.LASF86:
	.string	"texCoords"
.LASF116:
	.string	"t_Shader"
.LASF10:
	.string	"long long int"
.LASF51:
	.string	"INDEX_BUFFER"
.LASF74:
	.string	"linkProgram"
.LASF80:
	.string	"read_png"
	.section	.debug_line_str,"MS",@progbits,1
.LASF0:
	.string	"FONT/font.c"
.LASF1:
	.string	"/var/home/ehret/DEVELOP/3D/FLYSIMU/C"
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
